Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.measures
Class Averagor

    java.lang.Object
      mro.util.measures.Averagor

    public class Averagor

extends java.lang.Object

Averagor.

Nested Class Summary
`private class` | `Averagor.XMLFileFilter`

Field Summary
`private Averagor.XMLFileFilter` | `xmlFF`

Constructor Summary
`Averagor()`

Method Summary
`Measures` | `readAllMeasuresInDirectory(java.io.File dir)`
`void` | `readAndWrite(java.io.File dir, java.lang.String outFileName)`
`private void` | `recursivelyAddMeasureGroupForAveraging(MeasureGroup mg, MeasureGroup avg)`
`private void` | `recursivelyAddMeasuresForAveraging(Measures measures, Measures avgs)`
`private void` | `simpleAddingOfMeasureForAveraging(Measure m, MeasureGroup avg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlFF

    private Averagor.XMLFileFilter xmlFF

Constructor Detail

### Averagor

    public Averagor()

Method Detail

### readAndWrite

    public void readAndWrite(java.io.File dir,
                             java.lang.String outFileName)
                      throws java.io.IOException,
                             MeasureNameConflictException

  Throws:
    `java.io.IOException`
    `MeasureNameConflictException`

### readAllMeasuresInDirectory

    public Measures readAllMeasuresInDirectory(java.io.File dir)
                                        throws java.io.IOException,
                                               MeasureNameConflictException

  Throws:
    `java.io.IOException`
    `MeasureNameConflictException`

### recursivelyAddMeasuresForAveraging

    private void recursivelyAddMeasuresForAveraging(Measures measures,
                                                    Measures avgs)
                                             throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### recursivelyAddMeasureGroupForAveraging

    private void recursivelyAddMeasureGroupForAveraging(MeasureGroup mg,
                                                        MeasureGroup avg)
                                                 throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### simpleAddingOfMeasureForAveraging

    private void simpleAddingOfMeasureForAveraging(Measure m,
                                                   MeasureGroup avg)
                                            throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD